Name:           ocaml-sfml
Version:        0.04
Release:        %mkrel 4
Summary:        OCaml bindings for SFML (Simple and Fast Multimedia Library)
License:        zlib/png
Group:          Development/OCaml
URL:            http://ocaml-sfml.forge.ocamlcore.org/
Source0:        http://ocaml-sfml.forge.ocamlcore.org/download/ocaml-sfml-%{version}.tgz
BuildRequires:  ocaml
BuildRequires:  sfml-devel
BuildRequires:  csfml-devel

%description
OCaml bindings for SFML (Simple and Fast Multimedia Library).

SFML is a portable and easy to use multimedia library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:  sfml-devel
Requires:  csfml-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
rm -rf data/.svn

%build
make all opt
make doc
sed -i -e 's/SFML.cma/-I +sfml SFML.cma/' opengl.sh

%install
rm -rf %{buildroot}
export OCAML_DIR=%{buildroot}/%{_libdir}/ocaml
export DLL_PREFIX=$OCAML_DIR/stublibs
mkdir -p $OCAML_DIR
mkdir -p $DLL_PREFIX
make install \
  OCAML_DIR="$OCAML_DIR" \
  DLL_PREFIX="$DLL_PREFIX"

%files
%doc README.txt
%dir %{_libdir}/ocaml/sfml
%{_libdir}/ocaml/sfml/META
%{_libdir}/ocaml/sfml/*.cmi
%{_libdir}/ocaml/sfml/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/
%doc data/
%doc test.ml first.ml opengl.ml opengl.sh
%{_libdir}/ocaml/sfml/*.a
%{_libdir}/ocaml/sfml/*.cmxa
%{_libdir}/ocaml/sfml/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.04-4.mga3
+ Revision: 361618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.04-3.mga3
+ Revision: 301681
- new rpm group for ocaml

* Thu Aug 30 2012 blue_prawn <blue_prawn> 0.04-2.mga3
+ Revision: 285621
- removed remaining .svn directories
- fixed dependencies

* Fri Aug 24 2012 blue_prawn <blue_prawn> 0.04-1.mga3
+ Revision: 283740
- added csfml dependency
- fixed path in example file
- imported package ocaml-sfml

